io.vertx.ext.web.handler

## Interface JWTAuthHandler

- All Superinterfaces:
    AuthHandler, Handler<RoutingContext>

      public interface JWTAuthHandler
      extends AuthHandler

  An auth handler that provides JWT Authentication support.
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JWTAuthHandler` | `create(AuthProvider authProvider)` Create a JWT auth handler
    `static JWTAuthHandler` | `create(AuthProvider authProvider, String skip)` Create a JWT auth handler
    `JWTAuthHandler` | `setAudience(List<String> audience)` Set the audience list
    `JWTAuthHandler` | `setIgnoreExpiration(boolean ignoreExpiration)` Set whether expiration is ignored
    `JWTAuthHandler` | `setIssuer(String issuer)` Set the issuer

    - ### Methods inherited from interface io.vertx.ext.web.handler.AuthHandler

      `addAuthorities, addAuthority`

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Method Detail

    - #### create

          static JWTAuthHandler create(AuthProvider authProvider)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          static JWTAuthHandler create(AuthProvider authProvider,
                                       String skip)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use.
      Returns:
        the auth handler

    - #### setAudience

          JWTAuthHandler setAudience(List<String> audience)

      Set the audience list
      Parameters:
        `audience` - the audience list
      Returns:
        a reference to this for fluency

    - #### setIssuer

          JWTAuthHandler setIssuer(String issuer)

      Set the issuer
      Parameters:
        `issuer` - the issuer
      Returns:
        a reference to this for fluency

    - #### setIgnoreExpiration

          JWTAuthHandler setIgnoreExpiration(boolean ignoreExpiration)

      Set whether expiration is ignored
      Parameters:
        `ignoreExpiration` - whether expiration is ignored
      Returns:
        a reference to this for fluency

Copyright © 2015. All Rights Reserved.